## ros-rolling-ros2interface 0.17.1

=== debian/changelog ===
ros-rolling-ros2interface (0.17.1-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Jan 2022 08:00:00 -0000

ros-rolling-ros2interface (0.17.0-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Jan 2022 08:00:00 -0000

ros-rolling-ros2interface (0.16.1-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-ros2interface (0.16.0-1focal) focal; urgency=high

  * Depend on launch packages instead of ros_testing to avoid circular dependency (#685 <https://github.com/ros2/ros2cli/issues/685>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-ros2interface (0.15.0-1focal) focal; urgency=high

  * Update maintainers to Aditya Pande, Audrow Nash, and Michael Jeronimo (#673 <https://github.com/ros2/ros2cli/issues/673>)
  * Updated maintainers (#670 <https://github.com/ros2/ros2cli/issues/670>)
  * Add changelogs (#635 <https://github.com/ros2/ros2cli/issues/635>)
  * Contributors: Aditya Pande, Audrow Nash, Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 18 Nov 2021 08:00:00 -0000

ros-rolling-ros2interface (0.14.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-rolling-ros2interface (0.13.0-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-ros2interface (0.12.0-1focal) focal; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 02 Mar 2021 08:00:00 -0000

ros-rolling-ros2interface (0.11.0-1focal) focal; urgency=high

  * Remove ros2interface test dependencies on builtin interface. (#579 <https://github.com/ros2/ros2cli/issues/579>)
  * Contributors: Audrow Nash

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-ros2interface (0.10.1-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-ros2interface (0.10.0-1focal) focal; urgency=high

  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Handle inline comments on constants correctly. (#548 <https://github.com/ros2/ros2cli/issues/548>)
  * Update quoted comments in the test (#540 <https://github.com/ros2/ros2cli/issues/540>)
  * Add option to include/remove whitespace and comments. (#527 <https://github.com/ros2/ros2cli/issues/527>)
  * Show "expanded" message definition. (#524 <https://github.com/ros2/ros2cli/issues/524>)
  * Contributors: Audrow, Audrow Nash, Claire Wang, Tully Foote

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 02 Nov 2020 08:00:00 -0000

ros-rolling-ros2interface (0.9.5-1focal) focal; urgency=high

  * [ros2interface] Allow stdin input for 'ros2 interface show'. (#387 <https://github.com/ros2/ros2cli/issues/387>)
    * Allow stdin input for 'ros2 interface show'
    * Just use help for all the information
    * Fix import order
    * Simplify logic
    * Catch empty values in case stdin doesn't contain output
    * Add test for 'ros2 interface show' with stdin
    * Use test_msgs instead of std_msgs for stdin test
    * Use example_interfaces in help for show
    Co-authored-by: Dirk Thomas <mailto:dirk-thomas@users.noreply.github.com>
  * Contributors: Nursharmin Ramli

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-rolling-ros2interface (0.9.4-1focal) focal; urgency=high

  * [ros2interface] Remove usage of deprecated std_msgs and std_srvs packages. (#516 <https://github.com/ros2/ros2cli/issues/516>)
  * Use consistent quotes in help messages. (#517 <https://github.com/ros2/ros2cli/issues/517>)
    Using single quotes inside double quotes is consistent with the other CLI help messages.
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-ros2interface (0.9.3-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 13 May 2020 07:00:00 -0000

ros-rolling-ros2interface (0.9.2-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 May 2020 07:00:00 -0000

ros-rolling-ros2interface (0.9.1-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 May 2020 07:00:00 -0000

ros-rolling-ros2interface (0.9.0-1focal) focal; urgency=high

  * Skip CLI tests on Windows until we resolve the blocking/hanging isuse. (#489 <https://github.com/ros2/ros2cli/issues/489>)
  * More verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Remove ready_fn from test descriptions. (#376 <https://github.com/ros2/ros2cli/issues/376>)
  * Only load required entry points which improves the performance. (#436 <https://github.com/ros2/ros2cli/issues/436>)
    * Extend API to exclude extensions from loading
    * Add add_subparsers_on_demand() function
    * Update all extensions to use the new API
    * Deprecate old API, add deprecation warnings
  * Add docblock for ros2interface command. (#434 <https://github.com/ros2/ros2cli/issues/434>)
  * Contributors: Dirk Thomas, Jacob Perron, Peter Baughman, Steven! Ragnarök

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 Apr 2020 07:00:00 -0000

ros-rolling-ros2interface (0.8.6-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 19 Nov 2019 08:00:00 -0000

ros-rolling-ros2interface (0.8.5-1focal) focal; urgency=high

  * 0.8.5
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 14 Nov 2019 08:00:00 -0000


